Credits

Check your remaining credits and usage

Credits

GET /api/v1/credits

Check your remaining API credits and usage statistics.

This endpoint is free and doesn't consume any credits.


Headers

HeaderValueRequired
AuthorizationBearer or_live_xxxxxYes

Example Request

curl "https://api.tessradar.com/api/v1/credits" \
  -H "Authorization: Bearer or_live_xxxxx"

Example Response

{
  "success": true,
  "data": {
    "credits": {
      "remaining": 4850,
      "total": 5000,
      "used": 150
    },
    "plan": {
      "name": "Starter",
      "rateLimit": "10 req/sec"
    },
    "usage": {
      "today": 45,
      "thisMonth": 150
    }
  }
}

Response Fields

Credits Object

FieldTypeDescription
remainingnumberCredits available to use
totalnumberTotal credits in your plan
usednumberCredits used this billing cycle

Plan Object

FieldTypeDescription
namestringYour plan name (Free, Starter, Pro, Enterprise)
rateLimitstringYour rate limit

Usage Object

FieldTypeDescription
todaynumberCredits used today
thisMonthnumberCredits used this month

On this page